Articles of boost

C ++ Boost на Linux с помощью удаленного управления Netbeans: неопределенная ссылка на boost :: filesystem :: path :: codecvt ()

Поэтому я установил Netbeans на windows7 и настроил ящик Ubuntu с samba, чтобы разделить каталог разработки, в котором у меня есть источники и библиотека ускорения. Я скомпилировал библиотеку boost, чтобы иметь возможность ссылаться на boost_filesystem, но я все еще получаю эту ошибку, когда пытаюсь скомпилировать приложение: Copying project files to /home/nms/.netbeans/remote/ophelia.tele2.net/t2003915-Windows-x86_64/ at nms@ophelia.tele2.net “/usr/bin/make” -f […]

активировать asio acceptor.accept неверный аргумент

Я пытаюсь кодировать с помощью asio в программировании сокетов. после установки boost в моей среде eclipse ubuntu, я попробовал образец кода в веб-сайте boost. но ошибка в функции acceptor.accept () с недопустимым аргументом, как показано ниже как я могу исправить эту ошибку? Invalid arguments ‘ Candidates are: void accept(boost::asio::basic_socket &, std::enable_if<&0[std::is_convertible::value],void>::type *) boost::system::error_code accept(boost::asio::basic_socket &, […]

Установка Libboost 1.38 на Ubuntu 8.10

Есть ли способ установить Libboost 1.38 на Ubuntu 8.10? Самая высокая версия в моих репозиториях – 1.35. Было высказано предположение, что могут быть некоторые репозитории, которые я мог бы добавить, чтобы выполнить это, но мои поиски ничего не дали. Должен ли я прибегать к исходному коду? Если да, то каков наилучший способ добиться этого? Спасибо

Повысьте streamи и несуществующие ускорения на Linux SMP

Я написал небольшой пример программы на C ++, используя boost :: thread. Поскольку это 215 строк, я отправил его на pastebin вместо http://pastebin.com/LRZ24W7D Программа создает большое количество поплавков (в настоящее время 1gb) и сначала добавляет их, а затем использует несколько streamов (размещенных внутри classа device_matrix). Предполагая, что машина SMP, я ожидаю увидеть ускорение от кода. […]

Canot компилирует C ++, который использует odeint от boost

Я на Ubuntu 12.04, и у меня уже был некоторый импульс повышения в / usr / include. Я сделал sudo apt-get install libboost-all-dev и это также установило много файлов. Я не хочу удалять этот импульс и устанавливать из источника, поскольку несколько других пакетов зависят от версии от репозиториев ubuntu. Это пример кода, который я хочу […]

Установка Boost 1.48 на Ubuntu 12.04

Ubuntu 12.04 имеет два пакета libboost-dev. Значение по умолчанию – 1.46, но есть и 1.48. Я обновил libboost-all-dev до 1.48 без каких-либо ошибок. Я ожидал, что все предыдущие ссылки для повышения 1.46 будут заменены более новой версией. Но они все еще на месте: Одна из моих библиотек нуждается в версии 1.48. Он смотрит в / […]

Каковы пакеты, необходимые для заголовков форвардов?

Я пытаюсь установить gearmand (из источника), и мне нужна версия заголовков boost> = 1.39. Для этого я установил libboost1.49-dev , libboost-program-options1.49.0 , uuid-dev и другие зависимости. Есть ли еще какой-либо пакет, который также должен быть установлен? Потому что каждый раз, когда я запускаю ./configure чтобы подготовить gearmand, он продолжает говорить мне, что ему нужна версия […]

Как установить boost на Ubuntu 14.04?

Как загрузить boost в Ubuntu?

Установка boost на 12.04- запускала «sudo apt-get install libboost-all-dev» – теперь что?

Я хочу установить библиотеки boost на Ubuntu 12.04, чтобы запустить: sudo apt-get install libboost-all-dev но теперь, ища папку с именем «boost», я не могу найти, где были установлены файлы? Должен ли я запускать какую-то команду bjam сейчас или что-то еще? Я ожидаю увидеть какую-то иерархию папок boost, а затем все файлы заголовков и исходных файлов […]

Установка POV Ray – настройка ошибки

Я пытаюсь установить стабильную версию POV-Ray 3.7. Я загрузил исходный код из github repo . Я выполнил инструкцию для системы unix, которая описана в файле README . К сожалению, я получаю сообщение об ошибке при запуске команды configure. ./configure COMPILED_BY="your name <email@address>" Первая ошибка говорит о том, что он не смог найти библиотеку boost 1.37 […]